Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 236313 - Exclude classes directly from a code completion list
Exclude classes directly from a code completion list
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
8.0
All All
: P3 (vote)
: 8.0
Assigned To: Dusan Balek
issues@java
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 09:27 UTC by Dusan Balek
Modified: 2013-09-27 02:10 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed SPI change (27.35 KB, patch)
2013-09-24 09:42 UTC, Dusan Balek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dusan Balek 2013-09-24 09:27:37 UTC
Enhance the code completion UI to allow for excluding classes directly from the code completion list.
Comment 1 Dusan Balek 2013-09-24 09:41:21 UTC
Small enhancement to the Code Completion SPI is needed to allow for completion items having possible sub-items.
Comment 2 Dusan Balek 2013-09-24 09:42:02 UTC
Created attachment 140409 [details]
Proposed SPI change
Comment 3 Dusan Balek 2013-09-25 07:16:08 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/49a85164cd34
Comment 4 Quality Engineering 2013-09-27 02:10:30 UTC
Integrated into 'main-silver', will be available in build *201309270002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/49a85164cd34
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #236313: Exclude classes directly from a code completion list - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo